<?xml version="1.0" encoding="UTF-8"?>
<testng-results skipped="0" failed="0" total="9" passed="9">
  <reporter-output>
  </reporter-output>
  <suite name="DeviceExtensionTestSuite" duration-ms="2687" started-at="2018-10-31T06:13:30Z" finished-at="2018-10-31T06:13:33Z">
    <groups>
    </groups>
    <test name="Extension Unit Tests" duration-ms="2687" started-at="2018-10-31T06:13:30Z" finished-at="2018-10-31T06:13:33Z">
      <class name="org.wso2.extension.siddhi.device.ExtensionTestCase">
        <test-method status="PASS" signature="setupDataSource()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="setupDataSource" is-config="true" duration-ms="1313" started-at="2018-10-31T06:13:29Z" finished-at="2018-10-31T06:13:30Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- setupDataSource -->
        <test-method status="PASS" signature="init()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="init" is-config="true" duration-ms="1186" started-at="2018-10-31T06:13:30Z" finished-at="2018-10-31T06:13:32Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- init -->
        <test-method status="PASS" signature="createGroup()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="createGroup" duration-ms="3" started-at="2018-10-31T06:13:32Z" finished-at="2018-10-31T06:13:32Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- createGroup -->
        <test-method status="PASS" signature="enrollDevice()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="enrollDevice" duration-ms="11" started-at="2018-10-31T06:13:32Z" finished-at="2018-10-31T06:13:32Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- enrollDevice -->
        <test-method status="PASS" signature="addDevices()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="addDevices" duration-ms="3" started-at="2018-10-31T06:13:32Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.createGroup, org.wso2.extension.siddhi.device.ExtensionTestCase.enrollDevice" finished-at="2018-10-31T06:13:32Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- addDevices -->
        <test-method status="PASS" signature="testIsEnrolledExtension()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="testIsEnrolledExtension" duration-ms="559" started-at="2018-10-31T06:13:32Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.addDevices" finished-at="2018-10-31T06:13:32Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testIsEnrolledExtension -->
        <test-method status="PASS" signature="testIsInGroupExtension()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="testIsInGroupExtension" duration-ms="185" started-at="2018-10-31T06:13:32Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.testIsEnrolledExtension" finished-at="2018-10-31T06:13:32Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testIsInGroupExtension -->
        <test-method status="PASS" signature="testGetDevicesOfUserFunctionExecutor()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="testGetDevicesOfUserFunctionExecutor" duration-ms="190" started-at="2018-10-31T06:13:32Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.testIsInGroupExtension" finished-at="2018-10-31T06:13:33Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDevicesOfUserFunctionExecutor -->
        <test-method status="PASS" signature="testGetDevicesOfUserWithStatusFunctionExecutor()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="testGetDevicesOfUserWithStatusFunctionExecutor" duration-ms="201" started-at="2018-10-31T06:13:33Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.testGetDevicesOfUserFunctionExecutor" finished-at="2018-10-31T06:13:33Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDevicesOfUserWithStatusFunctionExecutor -->
        <test-method status="PASS" signature="testGetDevicesOfStatusFunctionExecutor()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="testGetDevicesOfStatusFunctionExecutor" duration-ms="167" started-at="2018-10-31T06:13:33Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.testGetDevicesOfUserWithStatusFunctionExecutor" finished-at="2018-10-31T06:13:33Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDevicesOfStatusFunctionExecutor -->
        <test-method status="PASS" signature="testGetDevicesOfStatusWithTypeFunctionExecutor()[pri:0, instance:org.wso2.extension.siddhi.device.ExtensionTestCase@3ffb3598]" name="testGetDevicesOfStatusWithTypeFunctionExecutor" duration-ms="166" started-at="2018-10-31T06:13:33Z" depends-on-methods="org.wso2.extension.siddhi.device.ExtensionTestCase.testGetDevicesOfStatusFunctionExecutor" finished-at="2018-10-31T06:13:33Z">
          <reporter-output>
          </reporter-output>
        </test-method> <!-- testGetDevicesOfStatusWithTypeFunctionExecutor -->
      </class> <!-- org.wso2.extension.siddhi.device.ExtensionTestCase -->
    </test> <!-- Extension Unit Tests -->
  </suite> <!-- DeviceExtensionTestSuite -->
</testng-results>
